﻿using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace tactical
{
    public class tactical
    {
        public static void Main()
        {

            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Hunting Glock - TS",
                 NameToOrderByOverride = "Hunting Glock - TS",
                 DescriptionOverride = "this is gonna make so many people mad",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("HuntingGlockThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("HuntingGlock.png", 2.6f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 3f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 3f;
                     customCartridge.ImpactForce *= 2f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("HuntingGlock.wav"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "M1911 - TS",
                 NameToOrderByOverride = "M1911 - TS",
                 DescriptionOverride = ".",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("M9Thumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M9.png", 2.2f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 3f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 3f;
                     customCartridge.ImpactForce *= 2f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("M9.wav"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "MP5 - TS",
                 NameToOrderByOverride = "MP5 - TS",
                 DescriptionOverride = "in just about every acion movie",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("Mp5Thumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MP5.png", 1.6f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 2f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 3f;
                     customCartridge.ImpactForce *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("MP5.wav"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "AR-15 Tactical -  TS",
                 NameToOrderByOverride = "AR-15 Tactical -  TS",
                 DescriptionOverride = "purchased at wallmart",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("AR15Thumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AR15.png", 1.6f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 4f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 4f;
                     customCartridge.ImpactForce *= 6f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("AR15.wav"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "M4 Tactical -  TS",
                 NameToOrderByOverride = "M4 Tactical -  TS",
                 DescriptionOverride = "m4 but cooler",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("M4TACThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M4TAC.png", 1.6f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 4f;
                     customCartridge.StartSpeed *= 3f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 4f;
                     customCartridge.ImpactForce *= 4f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("M4TAC.wav"),
                     };
                 }
             }
             ); ;



             ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "M4 - TS",
                 NameToOrderByOverride = "M4 - TS",
                 DescriptionOverride = "gods gun",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("M4Thumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M4.png", 1.2f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 4f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 3f;
                     customCartridge.ImpactForce *= 4f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("M4.wav"),
                     };
                 }
             }
             ); ;

             ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "AK Sawed - TS",
                 NameToOrderByOverride = "AK Sawed - TS",
                 DescriptionOverride = "revoing the stock seem pretty much stupid but it looks cool so ok",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("SawedAKThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SawedAK.png", 1.4f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 5f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 4f;
                     customCartridge.ImpactForce *= 4f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("SawedAK.wav"),
                     };
                 }
             }
             ); ;


                 

             ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("AK-47"),
                 NameOverride = "Auto Revolver - TS",
                 NameToOrderByOverride = "Auto Revolver - TS",
                 DescriptionOverride = "dont even ask",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("AutoRevThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AutoRev.png", 1.4f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 5f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 5f;
                     customCartridge.ImpactForce *= 6f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("AutoRev.wav"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                 NameOverride = "Golfclub Rifle - TS",
                 NameToOrderByOverride = "Golfclub Rifle - TS",
                 DescriptionOverride = "you never supsect the golfclub",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("GolfclubThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Golfclub.png", 1.4f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 50f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 15f;
                     customCartridge.ImpactForce *= 25f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Golfclub.wav"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                 NameOverride = "DB Shotgun Modified - TS",
                 NameToOrderByOverride = "DB Shotgun Modified - TS",
                 DescriptionOverride = "grandpa you're so tactical",
                 CategoryOverride = ModAPI.FindCategory("Firearms"),
                 ThumbnailOverride = ModAPI.LoadSprite("MusketThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Musket.png", 1.4f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 6f;
                     customCartridge.StartSpeed *= 0.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 8f;
                     customCartridge.ImpactForce *= 5f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Musket.wav"),
                     };
                 }
             }
             ); ;

            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable(""),
                NameOverride = "M4A1 Grenadier - ZS",
                NameToOrderByOverride = "M4A1 Grenadier - ZS",
                DescriptionOverride = "ratatatattatatatatatatatat",
                CategoryOverride = ModAPI.FindCategory("Firearms"),
                ThumbnailOverride = ModAPI.LoadSprite("M4A1view.png", 5f),
                AfterSpawn = (Instance) =>
            {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M4A1.png", 1.6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "9mm";
                    customCartridge.Damage *= 3f;
                    customCartridge.StartSpeed *= 1f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 03f;
                    customCartridge.ImpactForce *= 3f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("M4A1shoot.mp3"),
                    };

                }
            }
            ); ;

            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable(""),
                NameOverride = "M4A1 ACOG - ZS",
                NameToOrderByOverride = "M4A1 ACOG - ZS",
                DescriptionOverride = ".",
                CategoryOverride = ModAPI.FindCategory("Firearms"),
                ThumbnailOverride = ModAPI.LoadSprite("M4A1ACOGview.png", 5f),
                AfterSpawn = (Instance) =>
            {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M4A1ACOG.png", 1.6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "9mm";
                    customCartridge.Damage *= 3f;
                    customCartridge.StartSpeed *= 1f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 07f;
                    customCartridge.ImpactForce *= 5f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("M4A1ACOGshoot.mp3"),
                    };

                }
            }
            ); ;

            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable(""),
                NameOverride = "M4A1 - ZS",
                NameToOrderByOverride = "M4A1 - ZS",
                DescriptionOverride = "dayz",
                CategoryOverride = ModAPI.FindCategory("Firearms"),
                ThumbnailOverride = ModAPI.LoadSprite("M4A1Handleview.png", 5f),
                AfterSpawn = (Instance) =>
            {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M4A1Handle.png", 1.6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "9mm";
                    customCartridge.Damage *= 3f;
                    customCartridge.StartSpeed *= 1f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 03f;
                    customCartridge.ImpactForce *= 3f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("M4A1Handleshoot.mp3"),
                    };

                }
            }
            ); ;


            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable(""),
                NameOverride = "AKM - ZS",
                NameToOrderByOverride = "AKM - ZS",
                DescriptionOverride = "kalashnikov",
                CategoryOverride = ModAPI.FindCategory("Firearms"),
                ThumbnailOverride = ModAPI.LoadSprite("AKMview.png", 5f),
                AfterSpawn = (Instance) =>
            {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AKM.png", 1.6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "9mm";
                    customCartridge.Damage *= 3f;
                    customCartridge.StartSpeed *= 1f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 3f;
                    customCartridge.ImpactForce *= 5f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                              ModAPI.LoadSound("AKMshoot.mp3"),
                            };

                        }
                    }
                    ); ;

            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable(""),
                NameOverride = "Silenced AKM - ZS",
                NameToOrderByOverride = "Silenced AKM - ZS",
                DescriptionOverride = "akm but quiter",
                CategoryOverride = ModAPI.FindCategory("Firearms"),
                ThumbnailOverride = ModAPI.LoadSprite("SilencedAkmview.png", 5f),
                AfterSpawn = (Instance) =>
            {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SilencedAkm.png", 1.6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "9mm";
                    customCartridge.Damage *= 4f;
                    customCartridge.StartSpeed *= 1f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 5f;
                    customCartridge.ImpactForce *= 4f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                              ModAPI.LoadSound("SilencedAkmshoot.mp3"),
                            };

                        }
                    }
                    ); ;


            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable(""),
                NameOverride = "Remington 870 - ZS",
                NameToOrderByOverride = "Remington 870 - ZS",
                DescriptionOverride = "Some gun that came out in 1950 i think",
                CategoryOverride = ModAPI.FindCategory("Firearms"),
                ThumbnailOverride = ModAPI.LoadSprite("Remington870view.png", 5f),
                AfterSpawn = (Instance) =>
            {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Remington870.png", 1.6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "12Guage";
                    customCartridge.Damage *= 3f;
                    customCartridge.StartSpeed *= 1f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 4f;
                    customCartridge.ImpactForce *= 3f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                              ModAPI.LoadSound("Remington870shoot.mp3"),
                            };

                        }
                    }
                    ); ;
	    
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable(""),
                NameOverride = "Mosin - ZS",
                NameToOrderByOverride = "Mosin - ZS",
                DescriptionOverride = "old gun from russialand",
                CategoryOverride = ModAPI.FindCategory("Firearms"),
                ThumbnailOverride = ModAPI.LoadSprite("Mosinview.png", 5f),
                AfterSpawn = (Instance) =>
            {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Mosin.png", 1.6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "9mm";
                    customCartridge.Damage *= 6f;
                    customCartridge.StartSpeed *= 1f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 10f;
                    customCartridge.ImpactForce *= 6f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                              ModAPI.LoadSound("Mosinshoot.mp3"),
                            };

                        }
                    }
                    ); ;

                            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                                NameOverride = "",
                                NameToOrderByOverride = "AKS74U - ZS",
                                DescriptionOverride = ".",
                                CategoryOverride = ModAPI.FindCategory("Firearms"),
                                ThumbnailOverride = ModAPI.LoadSprite("AK74Uview.png", 5f),
                                AfterSpawn = (Instance) =>
                            {
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK74U.png", 1.6f);
                                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                                    customCartridge.name = "9mm";
                                    customCartridge.Damage *= 2f;
                                    customCartridge.StartSpeed *= 1f;
                                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                                    customCartridge.Recoil *= 1f;
                                    customCartridge.ImpactForce *= 3f;
                                    firearm.Cartridge = customCartridge;
                                    Instance.FixColliders();
                                    firearm.ShotSounds = new AudioClip[]
                                    {
                                              ModAPI.LoadSound("AK74Ushoot.mp3"),
                                            };

                                        }
                                    }
                                    ); ;


                                    ModAPI.Register(
                         new Modification()
                                    {
                                        OriginalItem = ModAPI.FindSpawnable(""),
                                        NameOverride = "m67",
                                        NameToOrderByOverride = "m67",
                                        DescriptionOverride = ".",
                                        CategoryOverride = ModAPI.FindCategory("Explosives"),
                                        ThumbnailOverride = ModAPI.LoadSprite("m67view.png", 5f),
                                        AfterSpawn = (Instance) =>
                                        {
                                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("m67.png", 5f);
                                            Instance.FixColliders();
                                          }
                                      }
                                      ); ;


                                                                                                  ModAPI.Register(
                                                                                                  new Modification()
                                                                                                  {
                                                                                                      OriginalItem = ModAPI.FindSpawnable(""),
                                                                                                      NameOverride = "F1",
                                                                                                      NameToOrderByOverride = "F1",
                                                                                                      DescriptionOverride = ".",
                                                                                                      CategoryOverride = ModAPI.FindCategory("Explosives"),
                                                                                                      ThumbnailOverride = ModAPI.LoadSprite("F1view.png", 5f),
                                                                                                      AfterSpawn = (Instance) =>
                                                                                                      {
                                                                                                          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("F1.png", 5f);
                                                                                                          Instance.FixColliders();
                                                                                                        }
                                                                                                    }
                                                                                                    ); ;

                                                                                                    ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Discord Mod",
                                                                                    DescriptionOverride = "dont want to mess with this species",
                                                                                    CategoryOverride = ModAPI.FindCategory("Entities"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("TacModThumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("TacMod.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

                                                                                                    ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Discord Mod (Hooded)",
                                                                                    DescriptionOverride = "you better not post memes in #general or he's coming for you",
                                                                                    CategoryOverride = ModAPI.FindCategory("Entities"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("TacModHoodThumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("TacModHood.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

                      ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Operator",
                                                                                    DescriptionOverride = "operates",
                                                                                    CategoryOverride = ModAPI.FindCategory("Entities"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("OperatorThumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Operator.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;
                                                                           }
                                                                       }
                                                                   }